Skip to main content
GET
/
v1
/
aave
/
std_rate
Python (SDK)
from compass_api_sdk import CompassAPI, models


with CompassAPI(
    api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:

    res = compass_api.aave_v3.aave_std_rate(chain=models.V1AaveStdRateChain.ETHEREUM, token="USDC", days=7)

    # Handle response
    print(res)
import { CompassApiSDK } from "@compass-labs/api-sdk";

const compassApiSDK = new CompassApiSDK({
  apiKeyAuth: "<YOUR_API_KEY_HERE>",
});

async function run() {
  const result = await compassApiSDK.aaveV3.aaveStdRate({
    chain: "ethereum",
    token: "USDC",
    days: 7,
  });

  console.log(result);
}

run();
curl --request GET \
  --url https://api.compasslabs.ai/v1/aave/std_rate \
  --header 'x-api-key: <api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.compasslabs.ai/v1/aave/std_rate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "supply_apy_variable_rate": 0.5,
  "supply_apr_variable_rate": 0.5,
  "borrow_apy_variable_rate": 0.5,
  "borrow_apr_variable_rate": 0.5,
  "borrow_apy_fixed_rate": 0.5,
  "borrow_apr_fixed_rate": 0.5
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Your Compass API Key. Get your key here.

Query Parameters

chain
enum<string>
default:ethereum
required
Available options:
arbitrum,
base,
ethereum
block
integer | null

Optional block number (defaults to latest).

token
string
default:USDC
required

The symbol or address of the token.. A token identifier - either a supported symbol (e.g., USDC, WETH) or a valid Ethereum address (0x...)

Examples:

"USDC"

"WETH"

"0xA0b86a33E6441ccF30EE5DdEF1E9b652C91ac1c8"

days
integer
default:7
required

The number of days for which the standard deviation shall be calculated.

Required range: 1 <= x <= 30

Response

Successful Response

supply_apy_variable_rate
number
required

Standard deviation of the variable rate APY for deposits.

Required range: 0 <= x <= 1
supply_apr_variable_rate
number
required

Standard deviation of the variable rate APR for deposits.

Required range: 0 <= x <= 1
borrow_apy_variable_rate
number
required

Standard deviation of the variable rate APY for loans.

Required range: 0 <= x <= 1
borrow_apr_variable_rate
number
required

Standard deviation of the variable rate APR for loans.

Required range: 0 <= x <= 1
borrow_apy_fixed_rate
number
required

Standard deviation of the fixed rate APY for loans.

Required range: 0 <= x <= 1
borrow_apr_fixed_rate
number
required

Standard deviation of the fixed rate APR for loans.

Required range: 0 <= x <= 1